#define UDRE0 5

void uart_send_byte_array(unsigned char *data, unsigned int length);
void uart_send_byte(unsigned char data);  

//send byte array with specified length
void uart_send_byte_array(unsigned char *data, unsigned int length) {
	unsigned int counter = 0;
	while (counter++ < length) {
		while ( !( UCSR0A & (1<<UDRE0)) );	// Wait for buffer
		UDR0 = *data++;				// Send out data
	}
}          

//send byte
void uart_send_byte(unsigned char data) {
	while ( !( UCSR0A & (1<<UDRE0)) );	// Wait buffer
 	UDR0 = data;				// Send out data
}